package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * SysMsgEntity 系统消息实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_message")
public class SysMsgEntity {

    @TableId(value = "msg_id")
    private String msgId; // 消息主键编号
    private String title; // 消息标题
    private String remarks; // 备注内容
    private String kind; // 消息种类
    private String infoId; // 消息对应的信息编号
    private int dataStatus; // 状态，1为已读，2为未读，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String kindName;
}
