package cn.aiyangniu.api.common.entity.system;

import lombok.Data;

import java.util.List;

/**
 * SysMsgVo 消息VO对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
public class SysMsgVo {
    private String userId; // 查询的人员编号
    private String title; // 消息标题
    private String kind; // 消息种类编码
    private String beginDate; // 开始时间
    private String endDate; // 结束时间
    private int status; // 状态编码
    private String optUser; // 操作人员编号
    private List<String> msgIds; // 消息编号串
}
