package cn.aiyangniu.api.common.entity.system;

import lombok.Data;

/**
 * SysUsrDto 用户信息DTO对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
public class SysUserDto {
    private String userId; // 用户编号
    private String usname; // 登录账号
    private String nickName; // 用户昵称
    private String mobile; // 手机号码
    private String typeCode; // 组织编码
    private String typeName; // 组织名称
    private String optCode; // 职务编码
    private String optName; // 职务名称
    private int dataStatus; // 用户状态
    private String roleId; // 角色编号
    private String roleName; // 角色名称
    private String modCodes; // 模块编码串
    private String btnCodes;  // 按钮编码串
}
