package cn.aiyangniu.api.common.entity.system;

import lombok.Data;
import java.util.List;

/**
 * SysUsrVo 用户信息VO对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
public class SysUserVo {

    private String userId; // 用户编号
    private String usname; // 登录账号
    private String passwd; // 登录密码
    private String name; // 名称\登录账号\手机号码关键字
    private String roleId; // 角色编号
    private String orgId; // 组织编号
    private String dutyId; // 职务编号
    private int dataStatus; // 状态标识
    private int kind; // 种类标识
    private String optUser; // 操作人员编号
    private List<String> userIds; // 角色编号串
}
