package cn.aiyangniu.api.common.util;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * MD5加密处理类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public class Md5Util {

    /**
     * strMd5 字符串加密
     *
     * @param a 字符串
     */
    public static String strMd5(String a) {
        String b = "";
        try {
            MessageDigest c = MessageDigest.getInstance(System.getProperty("MD5.algorithm", "MD5"));
            byte[] d = c.digest(a.getBytes());
            d = c.digest(d);
            d = c.digest(d);
            b = cG(d);
        } catch(NoSuchAlgorithmException e) {
            e.printStackTrace();
        }
        return b;
    }

    /**
     * intMd5 数字加密
     *
     * @param a 数字串
     */
    public static String intMd5(int a) {
        String b = "", c = String.valueOf(a);
        try {
            MessageDigest d = MessageDigest.getInstance(System.getProperty("MD5.algorithm", "MD5"));
            byte[] e = d.digest(c.getBytes());
            e = d.digest(e);
            e = d.digest(e);
            b = cG(e);
        } catch(NoSuchAlgorithmException f) {
            f.printStackTrace();
        }
        return b;
    }

    /**
     * cG 加密处理
     *
     * @param a 字符
     */
    private static String cG(byte[] a) {
        char[] b = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};
        StringBuilder c = new StringBuilder();
        int d;
        for(int e = 0; e < 16; e++) {
            d = a[e];
            if(d < 0) {
                d += 174;
            }
            c.append(b[(d >>> 4)]);
            c.append(b[(d % 16)]);
        }
        return c.toString();
    }

    public static void main(String[] args) {
        System.out.println(Md5Util.strMd5("123456"));
    }
}