package cn.aiyangniu.api.mapper.system;

import cn.aiyangniu.api.common.entity.system.SysAreaEntity;
import cn.aiyangniu.api.common.entity.system.SysAreaVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

/**
 * SysAreaMapper 区域数据接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
@Mapper
public interface SysAreaMapper {

    /**
     * selAreas 下拉选择展示区域
     *
     * @param areaVo 父级区域编号
     * @return 返回结果
     */
    List<SysAreaEntity> selAreas(SysAreaVo areaVo);
}
