package cn.aiyangniu.api.service.impl.system;

import cn.aiyangniu.api.service.system.SysAreaService;
import cn.aiyangniu.api.common.entity.system.SysAreaEntity;
import cn.aiyangniu.api.common.entity.system.SysAreaVo;
import cn.aiyangniu.api.mapper.system.SysAreaMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * SysAreaServiceImpl 区域服务实现类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
@Service
public class SysAreaServiceImpl implements SysAreaService {

    @Resource
    private SysAreaMapper areaMapper;

    /**
     * selAreas 下拉选择展示区域
     *
     * @param areaVo 父级区域编号
     * @return 返回结果
     */
    @Override
    public List<SysAreaEntity> selAreas(SysAreaVo areaVo) {
        return areaMapper.selAreas(areaVo);
    }
}
