package cn.aiyangniu.api.service.system;

import cn.aiyangniu.api.common.entity.system.SysAreaEntity;
import cn.aiyangniu.api.common.entity.system.SysAreaVo;

import java.util.List;

/**
 * SysAreaService 区域服务接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public interface SysAreaService {

    /**
     * selAreas 下拉选择展示区域
     *
     * @param areaVo 父级区域编号
     * @return 返回结果
     */
    List<SysAreaEntity> selAreas(SysAreaVo areaVo);
}
