package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * SysAreaEntity 区域实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_area")
public class SysAreaEntity {

    @TableId(value = "area_id")
    private int areaId; // 区域主键编号
    private String areaName; // 区域名称
    private String areaCode; // 区域编码
    private int parentId; // 所属区域编号
    private int areaLevel; // 区域级别
    private int sort; // 区域排序
    private String pinyin; // 区域名称全拼
    private String jianpin; // 区域名称简拼
}
