package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * SysRelEntity 通用关联实体类
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_relation")
public class SysRelEntity {

    @TableId("rel_id")
    private String relId; // 关联编号
    private String srcId; // 源编号
    private String dstId; // 目的编号
    private int kind; // 种类
    private int sort; // 排序
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号
}
