package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * SysRoleEntity 系统角色权限实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_role")
public class SysRoleEntity {

    @TableId(value = "role_id")
    private String roleId; // 角色主键编号
    private String roleName; // 角色名称
    private int display; // 是否显示标识，1显示，2不显示
    private String modCodes; // 权限模块编码串
    private String btnCodes; // 权限按钮编码串
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String reqRandom; // 请求随机码
}
